package Webpage;

import lombok.Getter;

import static code.common.gson;

@Getter
public class SocketioRequest {
    private final String request;
    private final String data;

    public SocketioRequest(){
        request = "";
        data = "";
    }

    public SocketioRequest(String request, String data){
        this.request = request;
        this.data = data;
    }

    @Override
    public String toString(){
        return gson.toJson(this);
    }
}
